Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class AssemblyDescriptorTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.AssemblyDescriptorTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AssemblyDescriptorType<T>

    public class AssemblyDescriptorTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AssemblyDescriptorType<T>

This class implements the `assembly-descriptorType` xsd type

Original Documentation:

The assembly-descriptorType defines
application-assembly information.
The application-assembly information consists of the
following parts: the definition of security roles, the
definition of method permissions, the definition of
transaction attributes for enterprise beans with
container-managed transaction demarcation, the definition
of interceptor bindings, a list of
methods to be excluded from being invoked, and a list of
exception types that should be treated as application exceptions.
All the parts are optional in the sense that they are
omitted if the lists represented by them are empty.
Providing an assembly-descriptor in the deployment
descriptor is optional for the ejb-jar or .war file producer.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AssemblyDescriptorTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AssemblyDescriptorTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`ApplicationExceptionType<AssemblyDescriptorType<T>>` | `applicationException()` Returns the `application-exception` element
`ContainerTransactionType<AssemblyDescriptorType<T>>` | `containerTransaction()` Returns the `container-transaction` element
`ExcludeListType<AssemblyDescriptorType<T>>` | `excludeList()` If not already created, a new `exclude-list` element will be created and returned.
`java.util.List<ApplicationExceptionType<AssemblyDescriptorType<T>>>` | `getApplicationExceptionList()` Returns all `application-exception` elements
`java.util.List<ContainerTransactionType<AssemblyDescriptorType<T>>>` | `getContainerTransactionList()` Returns all `container-transaction` elements
`java.util.List<InterceptorBindingType<AssemblyDescriptorType<T>>>` | `getInterceptorBindingList()` Returns all `interceptor-binding` elements
`java.util.List<MessageDestinationType<AssemblyDescriptorType<T>>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MethodPermissionType<AssemblyDescriptorType<T>>>` | `getMethodPermissionList()` Returns all `method-permission` elements
`java.util.List<SecurityRoleType<AssemblyDescriptorType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`InterceptorBindingType<AssemblyDescriptorType<T>>` | `interceptorBinding()` Returns the `interceptor-binding` element
`MessageDestinationType<AssemblyDescriptorType<T>>` | `messageDestination()` Returns the `message-destination` element
`MethodPermissionType<AssemblyDescriptorType<T>>` | `methodPermission()` Returns the `method-permission` element
`AssemblyDescriptorType<T>` | `removeAllApplicationException()` Removes all `application-exception` elements
`AssemblyDescriptorType<T>` | `removeAllContainerTransaction()` Removes all `container-transaction` elements
`AssemblyDescriptorType<T>` | `removeAllInterceptorBinding()` Removes all `interceptor-binding` elements
`AssemblyDescriptorType<T>` | `removeAllMessageDestination()` Removes all `message-destination` elements
`AssemblyDescriptorType<T>` | `removeAllMethodPermission()` Removes all `method-permission` elements
`AssemblyDescriptorType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`AssemblyDescriptorType<T>` | `removeExcludeList()` Removes the `exclude-list` element
`SecurityRoleType<AssemblyDescriptorType<T>>` | `securityRole()` Returns the `security-role` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssemblyDescriptorTypeImpl

    public AssemblyDescriptorTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node)

### AssemblyDescriptorTypeImpl

    public AssemblyDescriptorTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node,
                                      org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllSecurityRole

    public AssemblyDescriptorType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Specified by:
    `removeAllSecurityRole` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### securityRole

    public SecurityRoleType<AssemblyDescriptorType<T>> securityRole()

  Returns the `security-role` element

  Specified by:
    `securityRole` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    public java.util.List<SecurityRoleType<AssemblyDescriptorType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Specified by:
    `getSecurityRoleList` in interface `AssemblyDescriptorType<T>`
  Returns:
    list of `security-role`

### removeAllMethodPermission

    public AssemblyDescriptorType<T> removeAllMethodPermission()

  Removes all `method-permission` elements

  Specified by:
    `removeAllMethodPermission` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### methodPermission

    public MethodPermissionType<AssemblyDescriptorType<T>> methodPermission()

  Returns the `method-permission` element

  Specified by:
    `methodPermission` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `method-permission`

### getMethodPermissionList

    public java.util.List<MethodPermissionType<AssemblyDescriptorType<T>>> getMethodPermissionList()

  Returns all `method-permission` elements

  Specified by:
    `getMethodPermissionList` in interface `AssemblyDescriptorType<T>`
  Returns:
    list of `method-permission`

### removeAllContainerTransaction

    public AssemblyDescriptorType<T> removeAllContainerTransaction()

  Removes all `container-transaction` elements

  Specified by:
    `removeAllContainerTransaction` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### containerTransaction

    public ContainerTransactionType<AssemblyDescriptorType<T>> containerTransaction()

  Returns the `container-transaction` element

  Specified by:
    `containerTransaction` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `container-transaction`

### getContainerTransactionList

    public java.util.List<ContainerTransactionType<AssemblyDescriptorType<T>>> getContainerTransactionList()

  Returns all `container-transaction` elements

  Specified by:
    `getContainerTransactionList` in interface `AssemblyDescriptorType<T>`
  Returns:
    list of `container-transaction`

### removeAllInterceptorBinding

    public AssemblyDescriptorType<T> removeAllInterceptorBinding()

  Removes all `interceptor-binding` elements

  Specified by:
    `removeAllInterceptorBinding` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### interceptorBinding

    public InterceptorBindingType<AssemblyDescriptorType<T>> interceptorBinding()

  Returns the `interceptor-binding` element

  Specified by:
    `interceptorBinding` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `interceptor-binding`

### getInterceptorBindingList

    public java.util.List<InterceptorBindingType<AssemblyDescriptorType<T>>> getInterceptorBindingList()

  Returns all `interceptor-binding` elements

  Specified by:
    `getInterceptorBindingList` in interface `AssemblyDescriptorType<T>`
  Returns:
    list of `interceptor-binding`

### removeAllMessageDestination

    public AssemblyDescriptorType<T> removeAllMessageDestination()

  Removes all `message-destination` elements

  Specified by:
    `removeAllMessageDestination` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### messageDestination

    public MessageDestinationType<AssemblyDescriptorType<T>> messageDestination()

  Returns the `message-destination` element

  Specified by:
    `messageDestination` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    public java.util.List<MessageDestinationType<AssemblyDescriptorType<T>>> getMessageDestinationList()

  Returns all `message-destination` elements

  Specified by:
    `getMessageDestinationList` in interface `AssemblyDescriptorType<T>`
  Returns:
    list of `message-destination`

### removeExcludeList

    public AssemblyDescriptorType<T> removeExcludeList()

  Removes the `exclude-list` element

  Specified by:
    `removeExcludeList` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### excludeList

    public ExcludeListType<AssemblyDescriptorType<T>> excludeList()

  If not already created, a new `exclude-list` element will be created and returned. Otherwise, the existing `exclude-list` element will be returned.

  Specified by:
    `excludeList` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `exclude-list`

### removeAllApplicationException

    public AssemblyDescriptorType<T> removeAllApplicationException()

  Removes all `application-exception` elements

  Specified by:
    `removeAllApplicationException` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### applicationException

    public ApplicationExceptionType<AssemblyDescriptorType<T>> applicationException()

  Returns the `application-exception` element

  Specified by:
    `applicationException` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `application-exception`

### getApplicationExceptionList

    public java.util.List<ApplicationExceptionType<AssemblyDescriptorType<T>>> getApplicationExceptionList()

  Returns all `application-exception` elements

  Specified by:
    `getApplicationExceptionList` in interface `AssemblyDescriptorType<T>`
  Returns:
    list of `application-exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD